#!/bin/bash

MOL="Water"

cat > protonate.tleap << EOF
source leaprc.water.tip3p
x = loadPdb "${MOL}.pdb"
solvateOct x TIP3PBOX 15.51
saveAmberParm x ${MOL}.top ${MOL}.crd
quit
EOF

${AMBERHOME}/bin/tleap -f protonate.tleap > protonate.tleapout

# Now, let's try minimizing the system
cat > min.in << EOG
Initial minimization
 &cntrl
  ntx    = 1,       irest  = 0,       ntrx   = 1,      ntxo   = 1,
  ntpr   = 20,      ntwx   = 0,       ntwv   = 0,      ntwe   = 0,

  ntf    = 1,       ntb    = 1,
  ntc    = 1,

  cut    = 8.0,

  imin   = 1,
  maxcyc = 1000,
  ncyc   = 100,

 &end
EOG

/home/cerutti/amberPBC/bin/pmemd -O \
  -i min.in \
  -o min.out \
  -c ${MOL}.crd \
  -r min.rst \
  -p ${MOL}.top \
  < /dev/null
