#!/bin/bash

PDBID=Water

export CUDA_VISIBLE_DEVICES=0

cd /home/cerutti/FF15Redux/Oct${PDBID}/gpuA/

mkdir -p Restart/ Energy/ Trajectory/ OutDiags/
cp ../Prep/${PDBID}_Eq4.rst Restart/md0.rst

I=1
IM=0
while [ ${I} -le 2000 ] ; do

  # Test for existence of the restart file
  if [ ! -e Restart/md${I}.rst ] ; then

cat > md.in << EOF
Standard MD run input
 &cntrl

  nmropt = 0,
  ntx    = 5,       irest  = 1,
  ntrx   = 1,       ntxo   = 2,
  ntpr   = 10000,   ntwx   = 10000,
  ntwv   = 0,       ntwe   = 10000,
  iwrap  = 1,       ioutfm = 1,

  ntf    = 2,       ntb    = 1,
  cut    = 8.0,     fswitch = 6.0,

  ibelly = 0,       ntr    = 0,

  imin   = 0,
  nstlim = 1000000,
  nscm   = 10000,
  t      = 0.0,     dt     = 0.002,

  temp0     = 298.0,   tempi  = 298.0,
  ig        = -1,
  ntt       = 0,

  ntp    = 0,       pres0  = 1.0,     comp   = 44.6,
  taup   = 1.0,

  ntc    = 2,       tol    = 0.000001, watnam = 'WAT ',

 &end
 &ewald
  nfft1    = 48,
  nfft2    = 48,
  nfft3    = 48,
  dsum_tol = 1.0e-6,
  skinnb   = 2.0,
 &end
EOF

    # Run the MD simulation
    /home/cerutti/amberPBC/bin/pmemd.cuda_SPFP -O \
      -i md.in \
      -o md${I}.out \
      -p ../Prep/${PDBID}.top \
      -c Restart/md${IM}.rst \
      -r md${I}.rst \
      -x md${I}.crd \
      -e md${I}.en \
      < /dev/null

    # Move files back to network directories
    mv md${I}.out OutDiags/
    mv md${I}.en  Energy/
    mv md${I}.crd Trajectory/
    mv md${I}.rst Restart/

  fi

  # Increment the counter variable
  let "I+=1"
  let "IM+=1"

done

